/* global */

* {
    margin: 0;
    padding: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    font-family: barlow, sans-serif;
    background-color: #ffffff;
    color: var(--font-color);
}

h1,
h2,
h3,
h4,
h5 {
    font-family: rosewood-std-fill, sans-serif;
}

input:focus,
textarea:focus,
select:focus {
    outline: none;
}

/* end of global */

@media(min-width: 1366px) {
    .home-first {
        position: relative;
        background-color: var(--primary-color);
        margin: 0;
        padding: 0;
        width: 100%;
        height: 800px;
    }

    .home-text {
        position: absolute;
        z-index: 1;
        top: 50%;
        transform: translateY(-50%);
        width: 100%;
        padding: 0 5%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .home-text img {
        width: 70%;
        max-width: 400px;
        height: auto;
    }

    .home-text h1 {
        font-size: 70px;
        font-weight: 400;
        letter-spacing: 1px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 4px rgba(0, 0, 0, 0.9);
        text-align: center;
    }

    .home-text h2 {
        font-family: barlow, sans-serif;
        font-size: 35px;
        font-weight: 700;
        letter-spacing: 0.5px;
        text-transform: uppercase;
        margin: 10px auto;
        color: var(--button-color);
        text-shadow: 0 0 4px rgba(0, 0, 0, 0.9);
        text-align: center;
    }

    .home-text h3 {
        font-family: barlow, sans-serif;
        font-size: 25px;
        font-weight: 600;
        letter-spacing: 0.5px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
        text-align: center;
    }

    .home-text h4 {
        font-family: barlow, sans-serif;
        font-size: 20px;
        font-weight: 600;
        letter-spacing: 0.5px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
        text-align: center;
    }

    .home-text a {
        position: relative;
        display: inline-block;
        margin: 10px auto;
        border-radius: 3px;
        font-size: 25px;
        font-weight: 700;
        background-color: var(--accent-color);
        color: var(--secondary-color);
        text-decoration: none;
        padding: 15px 30px;
        box-shadow: 0 4px 14px rgba(0, 0, 0, 0.35);
        transition: 0.2s all ease-in-out;
    }

    #splide-slideshow {
        position: absolute;
        z-index: 0;
        width: 100%;
        height: 800px;
        margin: 0;
        padding: 0;
    }

    .slideshow-item {
        box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.25);
        width: 100%;
        height: 800px;
        background-size: cover;
        background-position: 50% 50%;
        background-repeat: no-repeat;
    }
}

@media(max-width: 1366px) and (min-width: 1024px) {
    .home-first {
        position: relative;
        background-color: var(--primary-color);
        margin: 0;
        padding: 0;
        width: 100%;
        height: 700px;
    }

    .home-text {
        position: absolute;
        z-index: 1;
        top: 50%;
        transform: translateY(-50%);
        width: 100%;
        padding: 0 5%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .home-text img {
        width: 70%;
        max-width: 400px;
        height: auto;
    }

    .home-text h1 {
        font-size: 60px;
        font-weight: 400;
        letter-spacing: 1px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 4px rgba(0, 0, 0, 0.9);
        text-align: center;
    }

    .home-text h2 {
        font-family: barlow, sans-serif;
        font-size: 35px;
        font-weight: 700;
        letter-spacing: 0.5px;
        text-transform: uppercase;
        margin: 10px auto;
        color: var(--button-color);
        text-shadow: 0 0 4px rgba(0, 0, 0, 0.9);
        text-align: center;
    }

    .home-text h3 {
        font-family: barlow, sans-serif;
        font-size: 25px;
        font-weight: 600;
        letter-spacing: 0.5px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
        text-align: center;
    }

    .home-text h4 {
        font-family: barlow, sans-serif;
        font-size: 20px;
        font-weight: 600;
        letter-spacing: 0.5px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
        text-align: center;
    }

    .home-text a {
        position: relative;
        display: inline-block;
        margin: 10px auto;
        border-radius: 3px;
        font-size: 25px;
        font-weight: 700;
        background-color: var(--accent-color);
        color: var(--secondary-color);
        text-decoration: none;
        padding: 15px 30px;
        box-shadow: 0 4px 14px rgba(0, 0, 0, 0.35);
        transition: 0.2s all ease-in-out;
    }

    #splide-slideshow {
        position: absolute;
        z-index: 0;
        width: 100%;
        height: 700px;
        margin: 0;
        padding: 0;
    }

    .slideshow-item {
        box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.25);
        width: 100%;
        height: 700px;
        background-size: cover;
        background-position: 50% 50%;
        background-repeat: no-repeat;
    }
}

@media(max-width: 1024px) and (min-width: 769px) {
    .home-first {
        position: relative;
        background-color: var(--primary-color);
        margin: 60px 0 0 0;
        padding: 0;
        width: 100%;
        height: 600px;
    }

    .home-text {
        position: absolute;
        z-index: 1;
        top: 50%;
        transform: translateY(-50%);
        width: 100%;
        padding: 0 5%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .home-text img {
        width: 70%;
        max-width: 400px;
        height: auto;
    }

    .home-text h1 {
        font-size: 50px;
        font-weight: 400;
        letter-spacing: 1px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 4px rgba(0, 0, 0, 0.9);
        text-align: center;
    }

    .home-text h2 {
        font-family: barlow, sans-serif;
        font-size: 30px;
        font-weight: 700;
        letter-spacing: 0.5px;
        text-transform: uppercase;
        margin: 10px auto;
        color: var(--button-color);
        text-shadow: 0 0 4px rgba(0, 0, 0, 0.9);
        text-align: center;
    }

    .home-text h3 {
        font-family: barlow, sans-serif;
        font-size: 25px;
        font-weight: 600;
        letter-spacing: 0.5px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
        text-align: center;
    }

    .home-text h4 {
        font-family: barlow, sans-serif;
        font-size: 20px;
        font-weight: 600;
        letter-spacing: 0.5px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
        text-align: center;
    }

    .home-text a {
        position: relative;
        display: inline-block;
        margin: 10px auto;
        border-radius: 3px;
        font-size: 25px;
        font-weight: 700;
        background-color: var(--accent-color);
        color: var(--secondary-color);
        text-decoration: none;
        padding: 15px 30px;
        box-shadow: 0 4px 14px rgba(0, 0, 0, 0.35);
        transition: 0.2s all ease-in-out;
    }

    #splide-slideshow {
        position: absolute;
        z-index: 0;
        width: 100%;
        height: 600px;
        margin: 0;
        padding: 0;
    }

    .slideshow-item {
        box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.25);
        width: 100%;
        height: 600px;
        background-size: cover;
        background-position: 50% 50%;
        background-repeat: no-repeat;
    }
}

@media(max-width: 769px) {
    .home-first {
        position: relative;
        background-color: var(--primary-color);
        margin: 60px 0 0 0;
        padding: 0;
        width: 100%;
        height: 600px;
    }

    .home-text {
        position: absolute;
        z-index: 1;
        top: 50%;
        transform: translateY(-50%);
        width: 100%;
        padding: 0 5%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .home-text img {
        width: 60%;
        max-width: 290px;
        height: auto;
    }

    .home-text h1 {
        font-size: 40px;
        font-weight: 400;
        letter-spacing: 1px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 4px rgba(0, 0, 0, 0.9);
        text-align: center;
    }

    .home-text h2 {
        font-family: barlow, sans-serif;
        font-size: 25px;
        font-weight: 700;
        letter-spacing: 0.5px;
        text-transform: uppercase;
        margin: 10px auto;
        color: var(--button-color);
        text-shadow: 0 0 4px rgba(0, 0, 0, 0.9);
        text-align: center;
    }

    .home-text h3 {
        font-family: barlow, sans-serif;
        font-size: 20px;
        font-weight: 600;
        letter-spacing: 0.5px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
        text-align: center;
    }

    .home-text h4 {
        font-family: barlow, sans-serif;
        font-size: 16px;
        font-weight: 600;
        letter-spacing: 0.5px;
        margin: 10px auto;
        color: var(--secondary-color);
        text-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
        text-align: center;
    }

    .home-text a {
        position: relative;
        display: inline-block;
        margin: 10px auto;
        border-radius: 3px;
        font-size: 20px;
        font-weight: 700;
        background-color: var(--accent-color);
        color: var(--secondary-color);
        text-decoration: none;
        padding: 15px 30px;
        box-shadow: 0 4px 14px rgba(0, 0, 0, 0.35);
        transition: 0.2s all ease-in-out;
    }

    #splide-slideshow {
        position: absolute;
        z-index: 0;
        width: 100%;
        height: 600px;
        margin: 0;
        padding: 0;
    }

    .slideshow-item {
        box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.25);
        width: 100%;
        height: 600px;
        background-size: cover;
        background-position: 50% 50%;
        background-repeat: no-repeat;
    }
}
